Subject: Re: bug#32075: netcat with '-U' option for connection virt-manager to libvirt over SSH

From: Leo Famulari <[email-masked]>
Date: Wed, 11 Jul 2018 12:10:06 -0400

On Wed, Jul 11, 2018 at 01:15:25PM +0200, Ludovic Courtès wrote:
> Hi Oleg,
> 
> Oleg Pykhalov <[email-masked]> skribis:
> 
> > libvirtError: End of file while reading data: nc: invalid option -- 'U'
> > Try `nc --help' for more information.: Input/output error
> 
> There are several implementation of Netcat, and presumably libvirt
> expects a different one.
> 
> Could you check which implementation you have on other distros?

Besides the 'netcat' package, there are netcat implementations that
offer the '-U' option provided by the nmap and LibreSSL packages.